{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block scripts %}
    {% if not demand_access_code %}
        <script>
            async function get_meeting_status() {
                try {
                    const response = await fetch("{% url "get_meeting_status" room.meeting_id %}");
                    if (response.ok) {
                        if ((await response.json())["is_running"]) {
                            location.replace(location.href);
                        }
                    } else {
                        console.log(response.status, await response.text());
                    }
                } catch (e) {
                    console.log(e);
                }
            }

            setInterval(get_meeting_status, 5000);
        </script>
    {% endif %}
{% endblock %}

{% block content %}
    {% if not demand_access_code %}
        <!-- Waiting for moderator to start room -->
        <div class="lockscreen-wrapper">
            <div class="lockscreen-logo">
                Join <strong>{{ room.name }}</strong>
                <p class="mt-3"><em class="fas fa-2x fa-sync-alt fa-spin"></em></p>
            </div>
            <div class="help-block text-center">
                We are preparing your room. We will redirect you as soon as its ready or the moderator arrived.
            </div>
        </div>
    {% else %}
        <div class="lockscreen-wrapper">
            <div class="lockscreen-logo">
                Join <strong>{{ room.name }}</strong>
            </div>

            <div class="lockscreen-item">
                <div class="lockscreen-image">
                    <img src="{% static 'img/default_profile.png' %}" alt="User Image">
                </div>
                <form class="lockscreen-credentials" method="POST">
                    {% csrf_token %}
                    <div class="input-group">
                        <input type="password" class="form-control" name="access_code"
                               title="{% translate "Access code" %}" placeholder="{% translate "Access code" %}"
                               required>
                        <input type="hidden" name="room" value="{{ room.pk }}">
                        <div class="input-group-append">
                            <button type="submit" class="btn"><em class="fas fa-arrow-right text-muted"></em></button>
                        </div>
                    </div>
                </form>
            </div>
            <div class="help-block text-center">
                {% translate "Please enter the access code for this room." %}
            </div>
        </div>
    {% endif %}
{% endblock %}
